package Material_zob;

my $pkg="Material_zob";

use strict;
use My;

#== napojeni na db
my $dbh=My->dbh;


#- funkce zobrazuje zakladni udaje o materialu
sub udaje {
   my ($pkg_p, $bodyO,$outputdev,$info_mat,$info_mat_cenik)=@_;
   # zakl. udaje
   my $tableO=$bodyO->aT("table",{cellpadding=>"0",cellspacing=>"5"});
   my $colgroupO=$tableO->aT("colgroup");
   $colgroupO->aT("col");
   $colgroupO->aT("col",{style=>"padding-right:20px;"});
   my $colgroupO=$tableO->aT("colgroup");
   $colgroupO->aT("col");
   $colgroupO->aT("col",{style=>"padding-right:20px;"});
   my $colgroupO=$tableO->aT("colgroup");
   $colgroupO->aT("col");
   $colgroupO->aT("col");

   my $trO=$tableO->aT("tr");
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"Platnost: ");
   $trO->aT("td",{}, $$info_mat{platod} . " a " . $$info_mat{platdo} );
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"Mj: ");
   $trO->aT("td",{},Info->mj($$info_mat{mj})->{nazev});
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"Norma jak.: ");
   $trO->aT("td",{},$$info_mat{normajak});

   my $trO=$tableO->aT("tr");
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"Poznmka: ");
   $trO->aT("td",{},$$info_mat{pozn});
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"MjPom: ");
   $trO->aT("td",{},Info->mj($$info_mat{mjpom})->{nazev});
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"Norma roz.: ");
   $trO->aT("td",{},$$info_mat{normaroz});

   my $trO=$tableO->aT("tr");
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"");
   $trO->aT("td",{});
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"Kmorg: ");
   $trO->aT("td",{},$$info_mat{kmorg});
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"Koef: ");
   $trO->aT("td",{},$$info_mat{koef});

   my $trO=$tableO->aT("tr");
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"");
   $trO->aT("td",{});
   my $tdO=$trO->aT("td");
   my $info_sklad=Info->sklad($$info_mat{sklad});
   $tdO->aT("i",{},"St: ");
   my $tdO=$trO->aT("td");
   $tdO->aT("a",{href=>Link->str($$info_sklad{supstr})},$$info_sklad{supstr});
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"1/Koef: ");
   my $obrkoef;
   if($$info_mat{koef}!=0) {
      $obrkoef=sprintf("%.5f",1/$$info_mat{koef});
   }
   $trO->aT("td",{},$obrkoef);

   my $trO=$tableO->aT("tr");
   my $tdO=$trO->aT("td");
   $trO->aT("td");
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"Sklad: ");
   $trO->aT("td",{},$$info_mat{sklad});
   my $tdO=$trO->aT("td");
   $tdO->aT("i",{},"Cena/Mj: ");
   $trO->aT("td",{},$$info_mat_cenik{cena});
   # poznamky k mat
   $pkg->pozn($bodyO,$outputdev,$$info_mat{mat},"MAT");
}

#- funkce zobrazujici poznamky MAT ci OBJ
sub pozn2 {
   my ($pkg_p, $bodyO,$outputdev,$mat,$druh)=@_;
   my $h2O;
   if($druh eq "MAT") {
      $h2O=$bodyO->aT("h2",{},"Poznmky k materilu");
   }
   else {
      $h2O=$bodyO->aT("h2",{},"Poznmky k objednvn");
   }
   my $okruh='/Vyroba_priprava/Material/akt_poznmat.phtml';
   if(My->pravo(My->remote_user,$okruh)) {
      my $href=Link->aktmatpozn($mat,$druh);
      $h2O->aT(undef,{}," (");
      $h2O->aT("a",{href=>$href},"akt.");
      $h2O->aT(undef,{},")");
   }
   my ($docI,$table,$cols,$rows)=MyXML->creatable;
   my @sloupce;
   $cols->aT("col",{},"");
   $cols->aT("col",{},"Pozn");
   $cols->aT("col",{type=>"date",format=>"yyyy-MM-dd"},"DatZpis");
   $cols->aT("col",{},"UivZpis");
   push(@sloupce,("porc","pozn","datzapis","uzivzapis"));
   my $sth=$dbh->prepare(q{
      select
         Material_pozn.*
      from
         Material.Material_pozn
      where
         Material_pozn.mat=? and
         Material_pozn.datzapis>=? and
         Material_pozn.druh=?
      order by
         Material_pozn.porc asc
   });
   $sth->execute($mat,My->historie,$druh);
   while(my $ref=$sth->fetchrow_hashref) {
      my $row=$rows->aT("row",{chosen=>"0"});
      foreach my $pol (@sloupce) {
         $row->aT("col",{},$$ref{$pol});
      }
   }
   $sth->finish;
   my $outputdevprac;
   %$outputdevprac=%$outputdev;
   $$outputdevprac{typvystupu}="table";
   Output->output(
      $bodyO,
      $table,
      $outputdevprac
   );
}

#- funkce zobrazujici poznamky MAT ci OBJ - druha verze
sub pozn {
   my ($pkg_p, $bodyO,$outputdev,$mat,$druh)=@_;
   #my $pO=$bodyO->aT("div");
   my $pO=$bodyO->aT("table")->aT("tr")->aT("td");
   my $h2O;
   if($druh eq "MAT") {
      $h2O=$pO->aT("i",{},"Poznmky k materilu");
   }
   else {
      $h2O=$pO->aT("i",{},"Poznmky k objednvn");
   }
   my $okruh='/Vyroba_priprava/Material/akt_poznmat.phtml';
   if(My->pravo(My->remote_user,$okruh)) {
      my $href=Link->aktmatpozn($mat,$druh);
      $h2O->aT(undef,{}," (");
      $h2O->aT("a",{href=>$href},"akt.");
      $h2O->aT(undef,{},")");
   }
   $h2O->aT(undef,{},":");
   my $sth=$dbh->prepare(q{
      select
         Material_pozn.*
      from
         Material.Material_pozn
      where
         Material_pozn.mat=? and
         Material_pozn.datzapis>=? and
         Material_pozn.druh=?
      order by
         Material_pozn.porc asc
   });
   $sth->execute($mat,My->historie,$druh);
   if($sth->rows>0) {
      while(my $ref=$sth->fetchrow_hashref) {
         $pO->aT("div",{},$$ref{pozn})
      }
   }
   else {
      $pO->aT("div",{},"nejsou")
   }
   $sth->finish;
}
 
return 1;

